api/urls.py
from django.urls import path, include

urlpatterns = [
    path('v1/', include('api.v1.urls'))
]

api/v1/notification/urls.py
from django.urls import path
from api.v1.notification import views

app_name = 'api_notification'

urlpatterns = [
    # client
    path('client/list/', views.ClientListApiView.as_view(), name='client_list'),
    path('client/create/', views.ClientCreateApiView.as_view(), name='client_create'),
    path('client/<int:id>/', views.ClientUpdateApiView.as_view(), name='client_delete_update'),

    # sms
    # pass  ))

    # dispatcher
    path('dispatch/list/', views.DispatcherListApiView.as_view(), name='dispatch_list'),
    path('dispatch/create/', views.DispatcherCreateApiView.as_view(), name='dispatch_create'),
    path('dispatch/<int:id>/', views.DispatcherUpdateApiView.as_view(), name='dispatch_delete_update'),

]

main/urls.py
from django.contrib import admin
from django.urls import path, include
from django.contrib.auth.views import LoginView, LogoutView
from django.conf.urls.static import static

from drf_yasg import openapi
from drf_yasg.views import get_schema_view

from main import settings

schema_view = get_schema_view(
    openapi.Info(
        title="Your API Title",
        default_version='v1',
        description="Your API description",
        terms_of_service="https://www.example.com/terms/",
        contact=openapi.Contact(email="hanry.lucas.001@gmail.com"),
        license=openapi.License(name="BSD License"),
    ),
    public=True,
)

urlpatterns = [

    # AUTH
    path('login/', LoginView.as_view(template_name='login.html'), name='login'),
    path('logout/', LogoutView.as_view(), name='logout'),

    # Apps
    path('', include('notifications.urls')),

    # API
    path('api/', include('api.urls')),

    # django admin
    path('admin/', admin.site.urls),

    # swagger
    path('docs/', include('main.swagger')),
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

notifications/urls.py
from django.urls import path
from . import views

app_name = 'notifications'

urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
    path('client/list/', views.ClientListView.as_view(), name='client_list'),
    path('dispatch/list/', views.DispatchListView.as_view(), name='dispatch_list'),
    path('message/list/', views.MessageListView.as_view(), name='message_list'),
]

notifications/models.py
from django.db import models
from base.models import Base
from django.core.exceptions import ValidationError


def validate_phone_number_format(value):
    if not value.isdigit() or len(value) != 11 or not value.startswith('7'):
        raise ValidationError('Please enter a valid phone number in the format 7XXXXXXXXXX.')


class Client(Base):
    full_name = models.CharField(max_length=255, null=True, blank=True)
    email = models.EmailField(null=True, blank=True)

    phone_number = models.CharField(max_length=11, unique=True, validators=[validate_phone_number_format])
    operator_code = models.CharField(max_length=10)
    tag = models.CharField(max_length=255)
    timezone = models.CharField(max_length=255)

    def __str__(self):
        return f"{self.id} | {self.phone_number}"


class Message(Base):
    STATUS_CHOICES = (
        ('sent', 'Sent'),
        ('pending', 'Pending'),
        ('failed', 'Failed'),
    )

    sent_at = models.DateTimeField(auto_now_add=True)
    status = models.CharField(max_length=255, choices=STATUS_CHOICES)
    dispatch = models.ForeignKey('Dispatch', on_delete=models.CASCADE, related_name='messages')
    client = models.ForeignKey(Client, on_delete=models.CASCADE)

    def __str__(self):
        return f"{self.id} | {self.client} | {self.status}"


class Dispatch(Base):
    title = models.CharField(max_length=255, null=True, blank=True)
    enabled = models.BooleanField(default=True)

    start_date_time = models.DateTimeField()
    end_date_time = models.DateTimeField()
    message = models.TextField()
    operator_code = models.CharField(max_length=10)
    tag = models.CharField(max_length=255)

api/v1/notification/views.py
from rest_framework import generics
from rest_framework.permissions import IsAuthenticated

from notifications.models import Client, Dispatch, Message
from .serializers import ClientSerializer, DispatchSerializer, MessageSerializer


# Client
class ClientListApiView(generics.ListAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = ClientSerializer
    queryset = Client.objects.all()


class ClientCreateApiView(generics.CreateAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = ClientSerializer
    queryset = Client.objects.all()


class ClientUpdateApiView(generics.RetrieveUpdateDestroyAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = ClientSerializer
    queryset = Client.objects.all()
    lookup_url_kwarg = 'id'


# Dispatch
class DispatcherListApiView(generics.ListAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = DispatchSerializer
    queryset = Dispatch.objects.all()


class DispatcherCreateApiView(generics.CreateAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = DispatchSerializer
    queryset = Dispatch.objects.all()


class DispatcherUpdateApiView(generics.RetrieveUpdateDestroyAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = DispatchSerializer
    queryset = Dispatch.objects.all()
    lookup_url_kwarg = 'id'


# Message
class MessageListApiView(generics.ListAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = MessageSerializer
    queryset = Dispatch.objects.all()


class MessageCreateApiView(generics.CreateAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = MessageSerializer
    queryset = Dispatch.objects.all()


class MessageUpdateApiView(generics.RetrieveUpdateDestroyAPIView):
    # permission_classes = [IsAuthenticated]

    serializer_class = MessageSerializer
    queryset = Dispatch.objects.all()
    lookup_url_kwarg = 'id'

notifications/views.py
from django.contrib.auth.mixins import LoginRequiredMixin
from django.views.generic import TemplateView
from django.views.generic import TemplateView, DetailView, ListView
from .models import Client, Dispatch, Message
import pytz


class IndexView(LoginRequiredMixin, TemplateView):
    template_name = 'index.html'


class ClientListView(LoginRequiredMixin, ListView):
    model = Client
    queryset = Client.objects.all()
    template_name = 'notifications/client_list.html'

    def get_context_data(self, *, object_list=None, **kwargs):
        resp = super(ClientListView, self).get_context_data(**kwargs)
        resp['timezones'] = pytz.all_timezones
        return resp


class DispatchListView(LoginRequiredMixin, ListView):
    model = Dispatch
    queryset = Dispatch.objects.all()
    template_name = 'notifications/dispatch_list.html'


class MessageListView(LoginRequiredMixin, ListView):
    model = Message
    queryset = Message.objects.all()
    template_name = 'notifications/message_list.html'

templates/notifications/modals/add_client.html
<div class="modal fade" id="add_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content rounded">
            <div class="modal-header justify-content-between border-0 pb-0" id="add_vehicle_header">
                <h1 class="mb-3 title-modal">Клиент</h1>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <hr class="line-modal">
            <form id="client_create">
                <div class="modal-body pt-0 pb-5 px-5">
                    <div class="d-flex flex-column">
                        <div class="row mt-4 scroll-y " data-kt-scroll="true"
                             id="add_vehicle_scroll"
                             data-kt-scroll-activate="{default: false, lg: true}"
                             data-kt-scroll-max-height="auto"
                             data-kt-scroll-dependencies="#add_vehicle_header"
                             data-kt-scroll-wrappers="#add_vehicle_scroll" data-kt-scroll-offset="300px">
                            <div class="col-12">
                                <label for="name">И.М.О <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="full_name" required>
                                <label for="name">Номер телефон <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="phone_number"
                                       required>
                                <label for="name">Почта <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="email" id="email" required>
                                <label for="name">Код мобильного оператора <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="operator_code"
                                       required>
                                <label for="name">Тег (произвольная метка)</label>
                                <input class="form-control form-input min-h-40px" type="text" id="tag">
                                <label for="name">Часовой пояс</label>
                                <select class="form-select form-select-solid form-input min-h-40px"
                                        data-dropdown-parent="#add_vehicle" id="timezone"
                                        data-hide-search="true" data-placeholder="Компоненты">
                                    <option></option>
                                    {% for timezone in timezones %}
                                        <option value="{{ timezone }}">{{ timezone }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="line-modal">
                <div class="modal-body pt-0 pb-5 px-7">
                    <div class="d-flex justify-content-end flex-row-fluid pt-2">
                        <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                        <button id="add_disables_btn" type="submit" class="btn btn-primary">Добавить</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    $("#components").select2({
        closeOnSelect: false,
    });

    $("#phone_number").inputmask({
        "mask": "+7 (ddd) ddd-dd-dd",
    });

    $("#client_create").submit(function (event) {
        $("#add_disables_btn").prop('disabled', true);
        event.preventDefault();
        let clientData = new FormData();
        clientData.append("full_name", $("#full_name").val());
        clientData.append("email", $("#email").val());
        clientData.append("phone_number", $("#phone_number").val().replace(/\D/g, ''));
        clientData.append("operator_code", $("#operator_code").val());
        clientData.append("tag", $("#tag").val());
        clientData.append("timezone", $("#timezone").val());


        let client_create = "{% url 'api_notification:client_create' %}";
        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: client_create,
            processData: false,
            contentType: false,
            method: 'POST',
            data: clientData,
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                $("#add_disables_btn").prop('disabled', false);
                Swal.fire({
                    title: 'Проверьте Ваши данные ещё раз!',
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }

        });
    });

</script>

templates/notifications/modals/add_dispatch.html
<div class="modal fade" id="add_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content rounded">
            <div class="modal-header justify-content-between border-0 pb-0" id="add_vehicle_header">
                <h1 class="mb-3 title-modal">Рассылка</h1>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <hr class="line-modal">
            <form id="client_create">
                <div class="modal-body pt-0 pb-5 px-5">
                    <div class="d-flex flex-column">
                        <div class="row mt-4 scroll-y " data-kt-scroll="true"
                             id="add_vehicle_scroll"
                             data-kt-scroll-activate="{default: false, lg: true}"
                             data-kt-scroll-max-height="auto"
                             data-kt-scroll-dependencies="#add_vehicle_header"
                             data-kt-scroll-wrappers="#add_vehicle_scroll" data-kt-scroll-offset="300px">
                            <div class="col-12">
                                <label for="name">Наименование<span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="title" required>
                                <label for="name">Дата запуска <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="datetime-local"
                                       id="start_date_time"
                                       required>
                                <label for="name">Дата окончания <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="datetime-local"
                                       id="end_date_time"
                                       required>
                                <label for="name">Сообщения<span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="message"
                                       required>
                                <label for="name">Оператор</label>
                                <input class="form-control form-input min-h-40px" type="text" id="operator_code">
                                <label for="name">Тег</label>
                                <input class="form-control form-input min-h-40px" type="text" id="tag">
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="line-modal">
                <div class="modal-body pt-0 pb-5 px-7">
                    <div class="d-flex justify-content-end flex-row-fluid pt-2">
                        <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                        <button id="add_disables_btn" type="submit" class="btn btn-primary">Добавить</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    $("#components").select2({
        closeOnSelect: false,
    });


    $("#client_create").submit(function (event) {
        $("#add_disables_btn").prop('disabled', true);
        event.preventDefault();
        let dispatchData = new FormData();
        dispatchData.append("title", $("#full_name").val());
        dispatchData.append("start_date_time", new Date($("#start_date_time").val()).toISOString());
        dispatchData.append("end_date_time", new Date($("#end_date_time").val()).toISOString());
        dispatchData.append("message", $("#message").val());
        dispatchData.append("operator_code", $("#operator_code").val());
        dispatchData.append("tag", $("#tag").val());


        let client_create = "{% url 'api_notification:dispatch_create' %}";
        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: client_create,
            processData: false,
            contentType: false,
            method: 'POST',
            data: dispatchData,
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                $("#add_disables_btn").prop('disabled', false);
                Swal.fire({
                    title: 'Проверьте Ваши данные ещё раз!',
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }

        });
    });

</script>

templates/notifications/modals/delete_client.html
<div class="modal fade" id="delete_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h2>Клиент</h2>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <div class="modal-body scroll-y m-0">
                <h2 class="colortextDeleteModal">Вы уверены, что хотите удалить это Клиента?</h2>
                <div class="text-end pt-15">
                    <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                    <button id="delete_vehicle_btn" class="btn btn-primary">
                        <span class="indicator-label">Удалить</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<script>

    let delete_vehicle = "";
    $('.delete_vehicle').click(function () {
        delete_vehicle = $(this).data('url');
    });

    $("#delete_vehicle_btn").click(function (event) {

        event.preventDefault();
        document.getElementById("delete_vehicle_btn").disabled = true;

        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: delete_vehicle,
            processData: false,
            contentType: false,
            method: 'DELETE',
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                Swal.fire({
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }
        });
    });

</script>

templates/notifications/modals/delete_dispatch.html
<div class="modal fade" id="delete_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h2>Рассылка</h2>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <div class="modal-body scroll-y m-0">
                <h2 class="colortextDeleteModal">Вы уверены, что хотите удалить это Рассылку?</h2>
                <div class="text-end pt-15">
                    <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                    <button id="delete_vehicle_btn" class="btn btn-primary">
                        <span class="indicator-label">Удалить</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<script>

    let delete_vehicle = "";
    $('.delete_vehicle').click(function () {
        delete_vehicle = $(this).data('url');
    });

    $("#delete_vehicle_btn").click(function (event) {

        event.preventDefault();
        document.getElementById("delete_vehicle_btn").disabled = true;

        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: delete_vehicle,
            processData: false,
            contentType: false,
            method: 'DELETE',
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                Swal.fire({
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }
        });
    });

</script>

templates/notifications/modals/update_client.html
<div class="modal fade" id="update_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content rounded">
            <div class="modal-header justify-content-between border-0 pb-0" id="update_vehicle_header">
                <h1 class="mb-3 title-modal">Клиент</h1>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <hr class="line-modal">
            <form id="vehicle_update">
                <div class="modal-body pt-0 pb-5 px-5">
                    <div class="d-flex flex-column">
                        <div class="row mt-4 scroll-y " data-kt-scroll="true"
                             id="update_vehicle_scroll"
                             data-kt-scroll-activate="{default: false, lg: true}"
                             data-kt-scroll-max-height="auto"
                             data-kt-scroll-dependencies="#update_vehicle_header"
                             data-kt-scroll-wrappers="#update_vehicle_scroll" data-kt-scroll-offset="300px">
                            <div class="col-12">
                                <label for="name">И.М.О <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="full_nameE" required>
                                <label for="name">Номер телефон <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="phone_numberE"
                                       required>
                                <label for="name">Почта <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="email" id="emailE" required>
                                <label for="name">Код мобильного оператора <span style="color: red;">*</span></label>
                                <input class="form-control form-input min-h-40px" type="text" id="operator_codeE"
                                       required>
                                <label for="name">Тег (произвольная метка)</label>
                                <input class="form-control form-input min-h-40px" type="text" id="tagE">
                                <label for="name">Часовой пояс</label>
                                <select class="form-select form-select-solid form-input min-h-40px"
                                        data-dropdown-parent="#add_vehicle" id="timezoneE"
                                        data-hide-search="true" data-placeholder="Компоненты">
                                    <option></option>
                                    {% for timezone in timezones %}
                                        <option value="{{ timezone }}">{{ timezone }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="line-modal">
                <div class="modal-body pt-0 pb-5 px-7">
                    <div class="d-flex justify-content-end flex-row-fluid pt-2">
                        <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                        <button type="submit" class="btn btn-primary">Изменить</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script>

    $("#componentsE").select2({
        closeOnSelect: false,
    })

    $("#phone_numberE").inputmask({
        "mask": "+7 (ddd) ddd-dd-dd",
    });

    let update_client_url = "";
    $('.update_vehicle').click(function () {
        update_client_url = $(this).data('url');

        $.getJSON(`${update_client_url}`, function (data) {
            $("#full_nameE").val(data.full_name);
            $("#emailE").val(data.email);
            $("#phone_numberE").val(data.phone_number);
            $("#operator_codeE").val(data.operator_code);
            $("#tagE").val(data.tag);
            $("#timezoneE").val(data.timezone).trigger('change');
        });
    });

    $("#vehicle_update").submit(function (event) {
        event.preventDefault();
        let clientData = new FormData();
        clientData.append("full_name", $("#full_nameE").val());
        clientData.append("email", $("#emailE").val());
        clientData.append("phone_number", $("#phone_numberE").val().replace(/\D/g, ''));
        clientData.append("operator_code", $("#operator_codeE").val());
        clientData.append("tag", $("#tagE").val());
        clientData.append("timezone", $("#timezoneE").val());


        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: update_client_url,
            processData: false,
            contentType: false,
            method: 'PATCH',
            data: clientData,
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                Swal.fire({
                    title: 'Проверьте Ваши данные ещё раз!',
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }

        });
    });

</script>